Udfasningen af WFS 1.0.0 er udsat

Udfasningen af WFS 1.0.0 er udsat

På grund af en række fejl og uhensigtsmæssigheder i den seneste version af GoPublisher vil understøttelsen af WFS 1.0.0 fortsætte i Kortforsyningen.

Fejlene og uhensigtsmæssighederne bevirker bland andet at der er risiko for at Kortforsyningen, for eksisterende services, ikke kan bevarer 100% bagudkompatibilitet i forhold til GML version 2.

Da Kortforsyningen ikke opgraderer til seneste version af GoPublisher er det heller ikke nødvendigt at udfase WFS 1.0.0.

Vi vil i den kommende tid evaluere GoPublisher som WFS platform i Kortforsyningen og i inden udgangen af 2016 udkomme med en ny plan for WFS services i Kortforsyningen.

I vil naturligvis blive varslet i god tid hvis vi vælger at fastholde udfasningen af WFS 1.0.0.

________________

Tilføjet 30/09/2016

 

WFS 1.0.0. udfases i Kortforsyningen

Fra og med den 3. oktober 2016 vil WFS 1.0.0. ikke længere være understøttet i Kortforsyningen.

Understøttede versioner vil efter mandag den 3. oktober være 1.1.0 og 2.0. Nuværende GML versioner i WFS services vil forblive uændrede i Kortforsyningen.

Årsagen til udfasningen af WFS 1.0.0 er opgradering af Kortforsyningens WFS platform GoPublisher fra SnowFlake(www.snowflakesoftware.com/products/gopublisher). Den nyeste version af GoPublisher understøtter ikke WFS 1.0.0.

Til test brug har vi konfigureret en WFS 1.1.0 service, WFS:mat_gml2_beta, som man kan øve sig på indtil 3. oktober 2016.

WFS:mat_gml2_beta udstiller data i samme datamodeller og samme GML versioner som eksisterende services i WFS 1.0.0. Eneste forskel er WFS versionen.

Kontakt os meget gerne på support.kortforsyningen.dk hvis der skulle være specielle behov eller spørgsmål i forbindelse med udfasningen af WFS 1.0.0.

________________

30 september 2016